echo off
rem gfmt.bat
if exist hyphen.tex goto ex
if exist plaing.tex goto ex
if exist lplaing.tex goto ex
copy \emtex\texinput\plain.tex plaing.tex
copy \emtex\texinput\ghyphen.min hyphen.tex
tex -i -c850_tex \language1\input plaing \dump
if errorlevel 1 goto error
copy \emtex\texinput\lplain.tex lplaing.tex
tex -i -c850_tex \language1\input lplaing \input 3 \dump
if errorlevel 1 goto error
goto done

:ex
echo The following files should be removed or renamed before running gfmt:
if exist hyphen.tex echo hyphen.tex
if exist plaing.tex echo plaing.tex
if exist lplaing.tex echo lplaing.tex
goto end

:error
echo Error

:done
if exist hyphen.tex del hyphen.tex
if exist plaing.tex del plaing.tex
if exist lplaing.tex del lplaing.tex
:end
